`lqr_carver_list_start`
Prev | Carver objects | Next

## Name

lqr_carver_list_start — get the staritng point of the attachement list in an `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrCarverList* lqr_carver_list_start(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_list_start` returns the stating point of the `LqrCarverList` object associated with the `LqrCarver` object pointed to by `carver`, which is used to keep track of the `LqrCarver` objects attached to it.

The returned value is `NULL` if there are no attached carvers.

Use the functions `lqr_carver_list_current`(3) and `lqr_carver_list_next`(3) to access the list element individually, or the function `lqr_carver_list_foreach`(3) to operate on whole lists.

## See also

`lqr_carver_attach`(3), `lqr_carver_list_current`(3), `lqr_carver_list_next`(3), `lqr_carver_list_foreach`(3)

Prev | Up | Next
`lqr_carver_attach` | Home | `lqr_carver_list_current`